PaidGoods
API referencePayment methods

Everything a merchant can connect, grouped, with what is available now

GET
/v1/stores/{storeId}/payment-catalog

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/payment-catalog"
{  "data": [    {      "key": "string",      "provider": "string",      "name": "string",      "group": "card",      "tagline": "string",      "description": "string",      "availability": "available",      "preset": {        "property1": null,        "property2": null      },      "brandColor": "string",      "initials": "string",      "sandboxVerified": true,      "confirmation": "webhook",      "docsUrl": "string",      "refunds": "api",      "supportsCurrencyOverride": true,      "connected": -9007199254740991,      "plannedFor": "string"    }  ]}